#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Chopper
#
# This ASCII-animation will show an animated cigarette.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Chopper < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.10)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Chopper
# =========================================================================== #
def self.Chopper
  Chopper
end

# =========================================================================== #
# === AsciiParadise.chopper
# =========================================================================== #
def self.chopper(commandline_arguments = ARGV)
  Chopper.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.chopper(ARGV) 
end # chopper