#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::DancingGirl
#
# This ASCII-animation will show a dancing girl.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class DancingGirl < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.250)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.DancingGirl
# =========================================================================== #
def self.DancingGirl
  DancingGirl
end

# =========================================================================== #
# === AsciiParadise.dancing_girl
# =========================================================================== #
def self.dancing_girl(commandline_arguments = ARGV)
  DancingGirl.new(commandline_arguments)
end; self.instance_eval { alias dancinggirl dancing_girl } # === AsciiParadise.dancinggirl

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.dancing_girl(ARGV) 
end # dancing_girl