#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FireworkLauncher
#
# This ASCII-animation will show an aggressive firwork launching dude.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FireworkLauncher < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.120)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FireworkLauncher
# =========================================================================== #
def self.FireworkLauncher
  FireworkLauncher
end

# =========================================================================== #
# === AsciiParadise.firework_launcher
# =========================================================================== #
def self.firework_launcher(commandline_arguments = ARGV)
  FireworkLauncher.new(commandline_arguments)
end; self.instance_eval { alias fireworklauncher firework_launcher } # === AsciiParadise.fireworklauncher

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.firework_launcher(ARGV) 
end # firework_launcher