#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FlyingHead
#
# This ASCII-animation will show  a "flying head".
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FlyingHead < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.225)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FlyingHead
# =========================================================================== #
def self.FlyingHead
  FlyingHead
end

# =========================================================================== #
# === AsciiParadise.flying_head
# =========================================================================== #
def self.flying_head(commandline_arguments = ARGV)
  FlyingHead.new(commandline_arguments)
end; self.instance_eval { alias flyinghead flying_head } # === AsciiParadise.flyinghead

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.flying_head(ARGV) 
end # flying_head