#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Genie
#
# This ASCII-animation will show a genie
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Genie < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.25)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Genie
# =========================================================================== #
def self.Genie
  Genie
end

# =========================================================================== #
# === AsciiParadise.genie
# =========================================================================== #
def self.genie(commandline_arguments = ARGV)
  Genie.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.genie(ARGV) 
end # genie