#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::StepperLepper
#
# This ASCII-animation will show the stepper lepper walking about in a
# very silly manner. 
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class StepperLepper < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.160)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.StepperLepper
# =========================================================================== #
def self.StepperLepper
  StepperLepper
end

# =========================================================================== #
# === AsciiParadise.stepper_lepper
# =========================================================================== #
def self.stepper_lepper(commandline_arguments = ARGV)
  StepperLepper.new(commandline_arguments)
end; self.instance_eval { alias stepperlepper stepper_lepper } # === AsciiParadise.stepperlepper

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.stepper_lepper(ARGV) 
end # stepper_lepper