#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::GUI::Gtk::AnimatedFrame
# =========================================================================== #
# require 'ascii_paradise/gui/gtk3/animated_frame/animated_frame.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module AsciiParadise

module GUI

module Gtk

class AnimatedFrame < ::Gtk::Box

  require 'ascii_paradise/gui/shared_code/animated_frame/animated_frame_module.rb'
  include ::AsciiParadise::GUI::Gtk::AnimatedFrameModule

  # ========================================================================= #
  # === AsciiParadise::GUI::Gtk::AnimatedFrame.run
  # ========================================================================= #
  def self.run
    ::AsciiParadise::GUI::Gtk::AnimatedFrameModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::GUI::Gtk::AnimatedFrame.run
end