#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/sparky/constants.rb'
# =========================================================================== #
require 'ascii_paradise/constants/unicode_symbols.rb'

module AsciiParadise

class Sparky

  # ========================================================================== #
  # === ENCODING_UTF8
  # ========================================================================== #
  ENCODING_UTF8 = 'utf-8'

  # ========================================================================== #
  # === DEFAULT_SEPARATOR
  # ========================================================================== #
  DEFAULT_SEPARATOR = ''

  # ========================================================================== #
  # === AsciiParadise::Sparky::PROGRESSION_BLOCKS
  #
  # These progression blocks are useful to "build up" to something.
  # ========================================================================== #
  PROGRESSION_BLOCKS = %w(
    ▁ ▂ ▃ ▄ ▅ ▆ ▇ █
  )

  # ========================================================================== #
  # === CHECKMARK_SYMBOL
  # ========================================================================== #
  CHECKMARK_SYMBOL = AsciiParadise::CHECKMARK_SYMBOL

  # ========================================================================== #
  # === SNOWMAN
  # ========================================================================== #
  SNOWMAN = AsciiParadise::SNOWMAN

end; end

if __FILE__ == $PROGRAM_NAME
  puts AsciiParadise::Sparky::PROGRESSION_BLOCKS
  puts AsciiParadise::Sparky::CHECKMARK_SYMBOL
  puts AsciiParadise::Sparky::SNOWMAN
end