#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::PinkPanther
#
# Usage example:
#   AsciiParadise::PinkPanther.new
# =========================================================================== #
require 'ascii_paradise/base/base.rb'

module AsciiParadise

class PinkPanther < Base # === AsciiParadise::PinkPanther

  # ========================================================================= #
  # === AsciiParadise::PINK_PANTHER
  # ========================================================================= #
  PINK_PANTHER = File.read("#{::AsciiParadise.static_dir?}pink_panther.ascii")

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    super()
    run
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    e PINK_PANTHER
  end

  # ========================================================================= #
  # === PinkPanther.run
  # ========================================================================= #
  def self.run
    PinkPanther.new
  end

end

  # ========================================================================= #
  # === AsciiParadise.pink_panther
  # ========================================================================= #
  def self.pink_panther
    AsciiParadise::PinkPanther.run
  end; self.instance_eval { alias panther pink_panther } # === AsciiParadise.panther

  # ========================================================================= #
  # === AsciiParadise.PinkPanther
  # ========================================================================= #
  def self.PinkPanther
    AsciiParadise::PinkPanther
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::PinkPanther.run
end # pink_panther