#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/available_ascii_components_options.rb'
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.available_ascii_components_options
  #
  # The Array that will be returned here, is used in a case-when
  # menu elsewhere. It is used to determine which options are
  # applicable in order to show the available ascii components
  # of this project.
  # ========================================================================= #
  def self.available_ascii_components_options
    %w(
      --available
      --show-available
      --showavailable
      --overview
      overview
      show-available
    ) 
  end

end