#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/n_animated_components.rb'
# AsciiParadise.n_animated_components?
# =========================================================================== #
require 'ascii_paradise/project/project.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.n_animated_components?
  #
  # This will return how many animated components we have.
  # ========================================================================= #
  def self.n_animated_components? # 66
    files = Dir[
      AsciiParadise.animations_subdirectory?+'*.rb'
    ]
    files.size # Return how many entries we have found here.
  end

end

if __FILE__ == $PROGRAM_NAME
  puts AsciiParadise.n_animated_components?
end # n_animated_components?