#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/new.rb'
# =========================================================================== #
module AsciiParadise

  require 'ascii_paradise/toplevel_methods/run_this_animated_component.rb'
  # ========================================================================= #
  # === AsciiParadise.new
  #
  # This is a simpler toplevel-instantiation variant.
  # ========================================================================= #
  def self.new(i = ARGV)
    ::AsciiParadise.run_this_animated_component(
      i.map {|entry|
        entry.to_s.delete(':')
      }
    )
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.new(ARGV)
end