# -*- encoding: utf-8 -*-
# stub: ascii_paradise 0.2.62 ruby lib

Gem::Specification.new do |s|
  s.name = "ascii_paradise".freeze
  s.version = "0.2.62"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.2.32".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2021-12-01"
  s.description = "\nThis gem is called ascii_paradise.\n\nAsciiParadise is an umbrella project that allows us to gather\nascii-related code, in Ruby.\n\nThe main focus for this project is to incorporate animated\nASCII components, but the project will also store some\nnon-animated ASCII - thus, essentially making it an umbrella\nproject for (useful) ASCII content. The main focus will\nremain on animated ASCII, though.\n\nPresently, 113\nASCII components are registered in this project.\n\nFor more information about this project, have a look\nat the documentation of this gem's homepage.\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/ascii_paradise".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\nYou can test this in your project through:\n\n    require 'ascii_paradise'\n\n    AsciiParadise.ascii_counter 20 # Start to countdown from 20.\n    AsciiParadise.random\n\nOr:\n\n    AsciiParadise.say 'I will summon a dragon.', :wizard\n    AsciiParadise.say 'Where is the dragon!', :knight\n    AsciiParadise.say 'I am the cow!', :cowsay\n\nNote that the last is the well-known cowsay program.\n\nYou can also pass --debug to the individual ascii components\nand --frame to show the frame; and last but not least, also\n--everything.\n\nAs of March 2016, you can also invoke the various components\nbased on their file name.\n\nExamples:\n\n    ascii_paradise Volcano\n    ascii_paradise --endless_runner\n    ascii_paradise --diver\n    ascii_paradise --moth\n    ascii_paradise --traffic\n\nAnd so on.\n\nNote that as of March 2017, this requires an upcased name\nsuch as Volcano. At a later time, we will map a downcased\nname to the name of the constant - and get rid of this\nnotification here as well.\n\nYou can also show individual frames and then colourize them\nthrough the pipe if you are on Linux and use the KDE Konsole.\n\nExample for this:\n\n  asciiparadise tetris --show-frame=5 | rainbow_colours\n\nFor more documentation, have a look at:\n\n  https://www.rubydoc.info/gems/ascii_paradise/0.2.62\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.8".freeze)
  s.rubygems_version = "3.2.32".freeze
  s.summary = "This gem is called ascii_paradise.  AsciiParadise is an umbrella project that allows us to gather ascii-related code, in Ruby.  The main focus for this project is to incorporate animated ASCII components, but the project will also store some non-animated ASCII - thus, essentially making it an umbrella project for (useful) ASCII content. The main focus will remain on animated ASCII, though.  Presently, 113 ASCII components are registered in this project.  For more information about this project, have a look at the documentation of this gem's homepage.".freeze

  s.installed_by_version = "3.2.32" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
  else
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
  end
end
