#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Airbus
#
# This ASCII-animation will show an airbus, sort of.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Airbus < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.080)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Airbus
# =========================================================================== #
def self.Airbus
  Airbus
end

# =========================================================================== #
# === AsciiParadise.airbus
# =========================================================================== #
def self.airbus(commandline_arguments = ARGV)
  Airbus.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.airbus(ARGV) 
end # airbus