#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::HandOfGod
#
# This ASCII-animation will show the hand of god.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class HandOfGod < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.130)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.HandOfGod
# =========================================================================== #
def self.HandOfGod
  HandOfGod
end

# =========================================================================== #
# === AsciiParadise.hand_of_god
# =========================================================================== #
def self.hand_of_god(commandline_arguments = ARGV)
  HandOfGod.new(commandline_arguments)
end; self.instance_eval { alias handofgod hand_of_god } # === AsciiParadise.handofgod

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.hand_of_god(ARGV) 
end # hand_of_god