#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SoccerTwins
#
# This ASCII-animation will show soccer twins playing soccer.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SoccerTwins < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.180)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SoccerTwins
# =========================================================================== #
def self.SoccerTwins
  SoccerTwins
end

# =========================================================================== #
# === AsciiParadise.soccer_twins
# =========================================================================== #
def self.soccer_twins(commandline_arguments = ARGV)
  SoccerTwins.new(commandline_arguments)
end; self.instance_eval { alias soccertwins soccer_twins } # === AsciiParadise.soccertwins

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.soccer_twins(ARGV)
end # soccer_twins