#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/base/debug.rb'
# =========================================================================== #
require 'ascii_paradise/debug/debug.rb'

module AsciiParadise

class Base # === AsciiParadise::Base

  # ========================================================================= #
  # === enable_debug
  #
  # Delegate to the toplevel-method next.
  # ========================================================================= #
  def enable_debug
    ::AsciiParadise.enable_debug
  end

  # ========================================================================= #
  # === debug?
  # ========================================================================= #
  def debug?
    ::AsciiParadise.debug?
  end

end; end