#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/base/reset.rb'
# =========================================================================== #
module AsciiParadise

class Base # === AsciiParadise::Base

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    # ======================================================================= #
    # By default we will use colours.
    # ======================================================================= #
    @use_colours = true
    # ======================================================================= #
    # === @wait_for_keypress_on_each_frame
    #
    # Whether to wait for a keypress event, on each frame, or whether
    # we will not. This is mostly only used for debugging purposes.
    #
    # Thus, by default this variable is set to false.
    # ======================================================================= #
    @wait_for_keypress_on_each_frame = false
    # ======================================================================= #
    # === @run_already
    #
    # If true then the animation will be run at once when called.
    # ======================================================================= #
    @run_already = true
  end

end; end