#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/constants/unicode_symbols.rb'
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === CHECKMARK_SYMBOL
  # ========================================================================= #
  CHECKMARK_SYMBOL = "\u2713"

  # ========================================================================= #
  # === SNOWMAN
  # ========================================================================= #
  SNOWMAN = "\u2603"

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_HORIZONTAL
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_HORIZONTAL  = '═'

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_VERTICAL
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_VERTICAL    = '║'

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_TOP_LEFT
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_TOP_LEFT    = '╔'

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_TOP_RIGHT
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_TOP_RIGHT   = '╗'

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_BOTTOM_LEFT
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_BOTTOM_LEFT = '╚'

  # ========================================================================= #
  # === UNICODE_DOUBLE_BORDER_BOTTOM_RIGHT
  # ========================================================================= #
  UNICODE_DOUBLE_BORDER_BOTTOM_RIGHT = '╝'

end