#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::GUI::Gtk::Widget
# =========================================================================== #
# require 'ascii_paradise/gui/gtk3/animated_frame/widget.rb'
# AsciiParadise::GUI::Gtk::Widget.run
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

module AsciiParadise

module GUI

module Gtk

class Widget < ::Gtk::Box

  require 'ascii_paradise/gui/shared_code/animated_frame/animated_frame_module.rb'
  require 'ascii_paradise/gui/shared_code/animated_frame/widget_module.rb'

  include ::AsciiParadise::GUI::Gtk::WidgetModule

  # ========================================================================= #
  # === AsciiParadise::GUI::Gtk::Widget.run
  # ========================================================================= #
  def self.run
    ::AsciiParadise::GUI::Gtk::WidgetModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::GUI::Gtk::Widget.run
end