#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/requires/require_static_ascii_files.rb'
# =========================================================================== #
require 'ascii_paradise/project/project.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.require_static_ascii_files
  # ========================================================================= #
  def self.require_static_ascii_files
    # ======================================================================= #
    # Pull in all the subcomponents within the "ascii_paradise/static/"
    # directory next.
    # ======================================================================= #
    Dir["#{AsciiParadise.static_ascii?}*.rb"].each {|file|
      require "ascii_paradise/static_ascii/#{File.basename(file)}"
    }
  end; self.instance_eval { alias require_ascii_paradise_static_files require_static_ascii_files } # === AsciiParadise.require_ascii_paradise_static_files

  require_static_ascii_files

end