#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Note that this file here will instantly require all toplevel-methods
# that belong to the AsciiParadise project.
# =========================================================================== #
# require 'ascii_paradise/requires/require_the_toplevel_methods.rb'
# =========================================================================== #
require 'ascii_paradise/project/project.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.require_the_toplevel_methods
  # ========================================================================= #
  def self.require_the_toplevel_methods
    Dir["#{AsciiParadise::PROJECT_BASE_DIRECTORY}toplevel_methods/*.rb"].each {|this_file|
      require "ascii_paradise/toplevel_methods/#{File.basename(this_file)}"
    }
  end

  require_the_toplevel_methods

end