#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/requires/require_the_whole_project.rb'
# =========================================================================== #
require 'ascii_paradise/project/project.rb'
require 'ascii_paradise/constants/constants.rb'
require 'ascii_paradise/colours/colours.rb'
# =========================================================================== #
# Add .rb files from the ascii_paradise/requires/ files:
# =========================================================================== #
require 'ascii_paradise/requires/batch_requires.rb'
require 'ascii_paradise/ascii_say/say.rb'
require 'ascii_paradise/base/base.rb'
require 'ascii_paradise/commandline/menu.rb'
require 'ascii_paradise/misc/lobster.rb'
require 'ascii_paradise/demo/demo.rb'
require 'ascii_paradise/debug/debug.rb'
require 'ascii_paradise/version/version.rb'
require 'ascii_paradise/toplevel_methods/available_ascii_components.rb'
require 'ascii_paradise/toplevel_methods/misc.rb'
# =========================================================================== #
# Add the AsciiParadise table next.
# =========================================================================== #
require 'ascii_paradise/table/table.rb'
# =========================================================================== #
# Next, add curses-specific code.
# =========================================================================== #
require 'ascii_paradise/curses/table_flip.rb'
# =========================================================================== #
# Next, require the animations files - that is, the .rb files in
# the animations/ subdirectory.
# =========================================================================== #
AsciiParadise.initialize_the_animated_ascii_components
# =========================================================================== #
# Add the Flexbox next:
# =========================================================================== #
require 'ascii_paradise/requires/require_flexbox.rb'

require 'ascii_paradise/unicode/double_border.rb'
