#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'ascii_paradise/base/base.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise::CAT_FACE
  # ========================================================================= #
  CAT_FACE = File.read("#{static_dir?}cat_face.ascii")

class CatFace < Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    puts CAT_FACE
  end

end

  # ========================================================================= #
  # === AsciiParadise.cat_face
  # ========================================================================= #
  def self.cat_face
    AsciiParadise::CatFace.new
  end

  # ========================================================================= #
  # === AsciiParadise.CatFace
  # ========================================================================= #
  def self.CatFace
    AsciiParadise::CatFace
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.cat_face
end # cat_face